> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relay.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Config

> This API returns solver capacity data & user data.

export const DeprecatedExecuteApi = () => <Warning>
    This API has been replaced by the{" "}
    <a href="/references/api/get-quote-v2">Get Quote API</a>, which supports
    bridging, swapping and calling through a single unified API.
  </Warning>;

<DeprecatedExecuteApi />


## OpenAPI

````yaml get /config/v2
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /config/v2:
    get:
      parameters:
        - schema:
            type: string
          in: query
          name: originChainId
          required: true
        - schema:
            type: string
          in: query
          name: destinationChainId
          required: true
        - schema:
            type: string
          in: query
          name: user
          required: false
          description: >-
            User address, when supplied returns user balance and max bridge
            amount
        - schema:
            type: string
            enum:
              - anime
              - btc
              - cgt
              - dai
              - degen
              - eth
              - omi
              - pop
              - tg7
              - tia
              - usdc
              - usdc.e
              - usdt
              - sol
              - weth
              - apeeth
              - ape
              - g7
              - pengu
              - plume
              - wbtc
              - plumeusd
              - gun
              - somi
              - synd
              - xpl
              - usde
              - mon
              - usdh
              - musd
              - usdm
              - pyusd
              - cash
              - eusd
              - pusd
          in: query
          name: currency
          required: false
          description: >-
            Restricts the user balance and capacity to a particular currency
            when supplied with a currency id. Defaults to the native currency of
            the destination chain.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  enabled:
                    type: boolean
                  user:
                    type: object
                    properties:
                      balance:
                        type: string
                        description: >-
                          Balance on the origin chain in the native or supplied
                          currency
                      maxBridgeAmount:
                        type: string
                        description: >-
                          Maximum amount that the user can bridge after fees in
                          the native or supplied currency
                  fee:
                    type: string
                    description: >-
                      Total fee in the native or supplied currency for the
                      bridge operation
                  solver:
                    type: object
                    properties:
                      address:
                        type: string
                      balance:
                        type: string
                        description: >-
                          Balance of the solver on the destination chain.
                          Denoted in wei
                      capacityPerRequest:
                        type: string
                        description: >-
                          How much of the given currency is available to be
                          bridged per bridge request. Denoted in wei
                  supportsExternalLiquidity:
                    type: boolean
                    description: >-
                      This denotes if the chain combination supports canonical
                      plus bridging
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  code:
                    type: string

````